import java.util.ArrayList;


public class Driver {
	public static void main(String[] args) {
	
		//accessExample();
		manuallyCreatedGraph();
		
	}
	
	
	
	public static void accessExample() {	
		ProcessDiagram object  = new ProcessDiagram();
		
		//read the diagram from access output
		object.listOfTables("cytology.txt"); 
		object.process("cytology.txt");
		
		//run the clustering algorithm
		ProcessGraph graphobject  = new ProcessGraph();
		graphobject.tables = object.tables;
		ArrayList <ArrayList<Node>> clusters = graphobject.runSystem();
	}
	
	
	
	public static void manuallyCreatedGraph()
	{
		ProcessGraph graphObject  = new ProcessGraph();
		
		//create the nodes
		Node node1 = new Node("Child");
		Node node2 = new Node("Adult");
		Node node3 = new Node("Human");
		Node node4 = new Node("Person");
		Node node5 = new Node("Vehicle");
		Node node6 = new Node("Car");
		Node node7 = new Node("Bus");
		Node node8 = new Node("Motorcycle");
		Node node9 = new Node("Building");
		Node node10 = new Node("Hospital");
		Node node11 = new Node("School");
		Node node12 = new Node("House");
		Node node13 = new Node("Fruit");
		Node node14 = new Node("Apple");
		Node node15 = new Node("Banana");
		Node node16 = new Node("Orange");
		Node node17 = new Node("Random");
		Node node18= new Node("Pencil");
		Node node19 = new Node("Purple");
		Node node20 = new Node("Chair");
		
		//add relations between the nodes
		node1.addNode(node2);
		node2.addNode(node3);
		node3.addNode(node4);
		node4.addNode(node5);
		node4.addNode(node1);
		node5.addNode(node6);
		
		node6.addNode(node7);
		node7.addNode(node8);
		node8.addNode(node5);
		node5.addNode(node9);
		node9.addNode(node10);
		node10.addNode(node11);
		node11.addNode(node12);
		node12.addNode(node9);
		node9.addNode(node4);
		
		node4.addNode(node13);
		node13.addNode(node14);
		node14.addNode(node15);
		node15.addNode(node16);
		node16.addNode(node13);
		
		node13.addNode(node17);
		node17.addNode(node18);
		node18.addNode(node19);
		node19.addNode(node20);
		node20.addNode(node17);
		

		//add the nodes to the graph
		graphObject.tables =  new ArrayList <Node>();
		graphObject.tables.add(node1);
		graphObject.tables.add(node2);
		graphObject.tables.add(node3);
		graphObject.tables.add(node4);
		graphObject.tables.add(node5);
		graphObject.tables.add(node6);
		graphObject.tables.add(node7);
		graphObject.tables.add(node8);
		graphObject.tables.add(node9);
		graphObject.tables.add(node10);
		graphObject.tables.add(node11);
		graphObject.tables.add(node12);
		graphObject.tables.add(node13);
		graphObject.tables.add(node14);
		graphObject.tables.add(node15);
		graphObject.tables.add(node16);
		graphObject.tables.add(node17);
		graphObject.tables.add(node18);
		graphObject.tables.add(node19);
		graphObject.tables.add(node20);

		ArrayList <ArrayList<Node>> clusters = graphObject.runSystem(); //process
		
	}
}

