/**
 * Data structure that stores a list of edges and maintains the "head" of the list
 * @author Daniel Levy <dlevy at cs.toronto.edu>
 */

import java.util.ArrayList;

public class EdgeList {
	
	ArrayList <Edge> edgeList;
	Node head;
	
	public EdgeList(Node head)
	{
		edgeList = new ArrayList <Edge>();
		this.head = head;
	}
	
	
	public EdgeList(Node head, ArrayList <Edge> edgeList)
	{
		//edgeList = new ArrayList <Edge>();
		this.head = head;
		this.edgeList = edgeList;
	}

}
